Page MenuHomePhabricator

App should cache data about feed content availability per language
Closed, ResolvedPublic1 Story Points

Description

NOTE: Dependency on endpoint being created in T191785
Background

When a user goes to the "Customize the feed" screen, they should only be able to customize card content for languages in which content exists (eg., "In the news" card should not be shown if user's language is ZH).
We will be obtaining this info from a TBC endpoint (T191785).

Problem

If the endpoint is offline or the user is offline when in the "customize the feed" screen, it may result in unexpected behavior.

Proposed solution

Cache the endpoint and show cards to customize based on the last cached data.

Event Timeline

RHo created this task.Feb 16 2018, 2:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2018, 2:02 PM
Charlotte set the point value for this task to 5.Feb 20 2018, 5:28 PM
RHo renamed this task from [UX-debt] Users should only be able to select available card types available in the set Wikipedia language(s) in "Customize your feed" to Users should only be able to select available card types available in the set Wikipedia language(s) in "Customize your feed".Mar 5 2018, 10:16 PM
RHo claimed this task.
RHo triaged this task as High priority.
RHo updated the task description. (Show Details)Mar 29 2018, 6:09 PM
RHo renamed this task from Users should only be able to select available card types available in the set Wikipedia language(s) in "Customize your feed" to App should cache data about feed content availability per language .Apr 17 2018, 5:10 PM
RHo updated the task description. (Show Details)
RHo removed the point value for this task.
RHo added a subscriber: Dbrant.

@Dbrant - just updated the task description, please revise if any of it is goobledegook.

LGoto set the point value for this task to 1.Apr 23 2018, 4:20 PM

Change 433596 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] [WIP] Integrate with Feed language availability endpoint.

https://gerrit.wikimedia.org/r/433596

Dbrant claimed this task.May 17 2018, 3:44 PM

Change 433596 merged by jenkins-bot:
[apps/android/wikipedia@master] Integrate with Feed language availability endpoint.

https://gerrit.wikimedia.org/r/433596

ABorbaWMF added a subscriber: ABorbaWMF.

I believe this one is fixed. I setup a device for ZH and installed the app. The expected items were in customize feed. Of course, I am not a speaker of ZH so I am mainly looking at the icons and layout. Looks good on 2.7.234-alpha-2018-06-07

LGTM on 2.7.234-alpha-2018-06-12 testing a few other lang combos:

EN+HE:
DE+EN+ZH-HANT
Dbrant closed this task as Resolved.Jun 27 2018, 8:05 PM